
 [1mPPaint.man[0m

 [1mProduct Registration[0m

 Please don't forget to mail the registration card which came with
 Personal Paint. If you prefer to register via electronic mail, you can
 edit and e-mail the "E-reg.txt" file, which is stored on the program
 disk, in the same directory as this file. If you do so, please do [4mnot[0m
 mail the registration card.


 [1m1.2        System Configuration[0m

 On systems having only one Mbyte of total RAM, newer versions of the
 Amiga operating system (e.g. version 3) and certain custom software and
 hardware configurations (e.g. permanently resident utilities or multiple
 floppy disk drives) occupy more memory than the original system
 configuration, and may leave insufficient free memory to run Personal
 Paint. If this is the case, an attempt should be made to install Personal
 Paint to hard disk or floppy disk with the "decompress" option of the
 installation procedure enabled (section 1.13.1). The decompressed version
 of the software uses more disk space, but requires less RAM during
 loading. In general, 1 Mbyte systems benefit more by an inexpensive RAM
 expansion than by an upgrade to a newer and more memory consuming
 operating system.


 [1m1.12       Configuring and Loading Personal Paint[0m

 While "PPaint:PPaint_Prefs" remains the default location for storing
 settings files, during startup Personal Paint also scans the "ENV:PPaint"
 drawer (if it exists). Any files stored in "ENV:PPaint" have a higher
 priority than those in "PPaint:PPaint_Prefs".

 The use of Amiga environment variables is especially useful when it is
 not possible to write to the application storage medium, for example if
 Personal Paint is run from a CD-ROM. To make these changes persist after
 the computer is reset, they must be stored in "ENVARC:PPaint".


 [1m1.14       External User Interface Files[0m

 Personal Paint 6.3 has a "new look". All user interface pictures (tools,
 gadget images, etc.) are stored in a separate and editable file named
 "UIGraphics.pic" (inside "PPaint_Prefs").

 The file may be stored in GIF format to reduce disk occupation. For
 faster program loading after hard disk installation, it can be loaded as
 a brush and saved again using the IFF-ILBM format.


 [1m3.1.4.1    Image Processing - Stereograms[0m

 [1mHow to Create a Stereogram[0m

 To generate a stereogram, you need to use both program environments: one
 to provide depth information and one to render the actual stereogram.
 Stereogram animations are also possible. If you select the Pattern
 stereogram type (SIPS) instead of the Random Dot type (SIRDS), you need
 to store a tile-pattern in the current brush.

 In single image stereograms, the "hidden image" is defined by different
 levels of depth. The 3D image does not have its own colors: it consists
 of depth information only. It does however inherit the texture of the
 "container" image, where very creative combinations of colors and
 patterns can be used. In the pattern type of stereograms, for example, a
 pattern can be used to create a forest or a sea, where the 3D shapes can
 be concealed.

 Depth information is provided by shapes drawn in different levels of
 gray. Simple shapes are normally easier and quicker to recognize. If text
 needs to be written in the hidden image, sans-serif, extra bold type is
 usually more readable. Black indicates the "most elevated" (closest)
 level, white corresponds to the "deepest" (farthest) level, while
 "flatness" is associated to a 50% gray (in the Palette requester: H=0,
 S=0, V=50%). This is the level which is not distorted when using pattern
 stereograms. Note that "front" and "back" are subjective, and can be
 reversed depending on the technique used for viewing the image:
 cross-eyed or parallel style.

 Extreme depths, such as those associated to black and white, are not
 necessarily the easiest to recognize. To the contrary. Highest quality is
 usually provided by intensities closer to medium levels of gray.

 For a quick test, draw a black box on a 50% gray background. Then go to
 the other environment, choose an appropriate screen mode (having the same
 size as the screen containing the black box) and color palette, select
 Image Processing from the Project menu and select one of the Stereogram
 filters. SIRDS (Random Dot Single Image Stereograms) are constructed
 using random dots, whereas SIPS (Single Image Pattern Stereograms) use
 the current brush to create a pattern. Personal Paint will render the
 stereogram in the current environment. Different variants of predefined
 filters are provided: High Quality filters produce stereograms which are
 easier to recognize, whereas the More Levels filters are capable of
 rendering more detailed depth variations (up to 256 levels, associated to
 gray shades ranging from white to black).

 Help symbols can be placed automatically on stereograms. By default,
 these are constructed by drawing small squares on top of the image, but
 they can easily be replaced by pasting a custom brush over the square.
 For convenience and maximum accuracy, the squares have an odd pixel size,
 so that in Magnify mode the brush handle can quickly be positioned over
 the central pixel of the box.

 Technically, stereograms are created by constructing vertical columns of
 almost identical patterns. When the eyes are crossed or widened as
 required to view single image stereograms, each eye focuses on a
 different column. The difference between the repeated patterns is very
 similar to the difference perceived by the eyes when looking at an object
 in the real world. What makes stereograms particularly interesting from a
 scientific point of view is that perspective information is not required
 at all. In fact, people who normally rely on perspective rather than on
 eye convergence to calculate distances have more difficulties than others
 when viewing stereograms.

 The wider the pattern (i.e., the columns), the greater the perceived
 distance. Too narrow or too wide patterns should however be avoided,
 since the resulting stereograms are not easy to view (the eyes must be
 able to cross or widen enough, so that two consecutive patterns
 overlap).

 The width of the pattern is determined either by the brush width (SIPS
 stereograms) or by other filter settings (Appendix C). In case of SIPS,
 the current environment should have the same color palette as the brush.
 For stereograms about as large as a VGA computer screen, 8 columns should
 provide a good quality/contrast compromise. This means that for SIPS
 stereograms the brush width would be 1/8th of the screen width, in
 pixels. Of course a brush can contain a pattern which is already repeated
 two or more times in the brush itself.

 The complexity, and most of the compromises of computer generated
 stereogram generation are caused by the fact that each column forms a
 pair with both the column to its left and the one to its right. When all
 this information is overlapped, shadows and echo effects may appear.
 Personal Paint's filter settings (Appendix C) provide different options
 to finely tune the creation process. For example, where "ghost" outlines
 result from very sharp changes in elevation (more likely to occur in SIPS
 than in SIRDS), flattening the image, increasing the Quality value or
 activating the Echo Suppression option should help. Echo Suppression
 works by using random stripes of the pattern as necessary. As a side
 effect, the hidden shapes may emerge in the final image.


 [1mViewing Stereograms[0m

 Important: Single image stereograms have recently become very popular
 through posters and best-selling books (e.g. "Magic Eye", "Stereogram"
 and "3D Wonderland" series). Personal Paint uses some of the most recent
 and effective stereogram generation techniques, although the first papers
 dealing with this subject have been published more than 30 years ago.
 Since stereograms were first used for scientific visualization and in
 medical tests, research has been conducted on potential side effects of
 humans viewing such images. Not only have no harmful effects been
 discovered, but the techniques used for viewing single image stereograms
 are also sometimes employed for eye training. While even reading a
 textbook may cause eye strain and mental fatigue, we believe that it
 remains prudent to consider that crossing eyes, merging two different
 views into one and separating focusing from convergence are all actions
 which do not occur frequently in a natural environment. People with
 ametropia (e.g. hypermetropia or astigmatism) may tire more easily when
 viewing these images. Also, some optometrists have advised that people
 with autonomic ataxia and those at the beginning of farsightedness caused
 by age should avoid attempting naked eyed 3D viewing.

 What is a single image stereogram? It is a single picture containing
 different information for the left and right eye. When the eyes look at
 the picture "normally", the hidden clues cannot be recognized. However,
 when each eye looks at a different spot on the picture (which is what
 happens when the eyes pretend to look at an object positioned before or
 beyond the picture), after some adjusting, matching patterns can be
 recognized. Acting on eye convergence and divergence, the differences in
 the pattern provide the brain with depth information.

 While other methods use polarized light or colored glasses to separate
 the images, single image stereograms can be seen by focusing on a point
 which is either between the eyes and the picture (cross-eyed style), or
 much farther away than the picture (parallel style). Some stereograms can
 be seen in one of the two styles only.

 Most stereograms have two reference symbols on top of the picture, to
 ease proper adjusting. When you stare at the page out of focus, the two
 symbols may appear as four. This is because the eyes do not converge on
 the same image, and thus see "double". Now slowly adjust your eyes until
 the two inner symbols overlap, so that you see a total of three symbols.
 This is the appropriate convergence to see the stereogram. Slowly move
 your eyes downwards. You should soon begin to recognize some shapes,
 which your eyes will be able to focus on. The process can be initiated,
 for example, either by bringing a finger close to your eyes and moving
 it, or by imagining to concentrate on something very distant (e.g.
 mountains or clouds), or by putting the picture to the nose, and then
 slowly moving it forward, leaving the eyes unfocussed. It is very
 important that the page be perfectly flat and horizontal. All edges
 should have about the same distance from your face. Try and resist the
 temptation to focus on the monitor (or paper). Once the brain begins to
 merge the two images, focusing will slowly follow automatically.


 [1m3.1.4      Image Processing - Alpha Channel[0m

 The alpha channel is a special feature which is available with Brush
 Transparency effects. The alpha channel mode is activated by setting the
 Bias value to -1, and requires two consecutive brushes rather than one.
 In this mode, the degree of transparency of each pixel in the brush is a
 function of the brightness of the corresponding pixels in the second
 brush, rather than being defined by the plain Bias value. The additional
 transparency information provided by the second brush is called [3malpha
 channel[0m. This data is very useful, for example, to create and manipulate
 images which must remain antialiased regardless of the background. White
 pixels in the second brush correspond to complete opacity, while black
 and undefined pixels indicate full transparency.

 Example. Suppose you want to paste down a brush which is solid in the
 center and gradually becomes more transparent towards the edges. The
 alpha channel brush would reflect this and can be created using a
 gradient fill, white in the center fading to black around the edges.


 [1m3.1.10     Undo[0m

 The Undo tool allows the user to move backwards and forwards through the
 history of changes applied to the image and to its color palette.

 Clicking on Undo with the right mouse button performs a "redo". The
 maximum number of changes which can be undone (undo levels) is limited
 only by the available RAM and hard disk space, and can be finely tuned in
 the Memory Management requester (sections 1.3.5, 8.<3.2 and C.1).

 The use of Personal Paint's multi-level undo feature isn't limited to
 experimenting and correcting mistakes. For example, it may sometimes be
 useful to go back a few levels only to copy a piece of an older image
 with the Brush tool, and then paste the brush on the current image.
 Copying an area with a brush does not affect the chain of undo levels.

 The undo buffer can be freed either by pressing <Ctrl-u>, or by clicking
 on the dedicated gadget in the Memory Information requester (section
 4.11), or by selecting the Clear tool twice. This is an extremely useful
 way of making some memory available in critical conditions.

 The Brush and Color Palette menus have Restore functions which provide
 for additional undo capabilities (sections 5.5 and 7.1.6).


 [1mAnimation[0m

 Personal Paint accepts and creates the following animation formats:
 ANIM-5, ANIM-7 (short and long-words), ANIM-8 (short and long-words) and
 hybrid files which may contain any combination of these frame formats. In
 general, ANIM-5 remains the most space-efficient and widely used format.

 Personal Paint includes the original Auto ANIM save format, which, for
 each animation frame, selects the best compression scheme (ANIM-5, 7,
 etc.) Compared to pure ANIM-5 files, hybrid files may be up to 5-10%
 shorter, and still remain fully compatible with the official ANIM
 specifications.

 ANIM-8 is an evolution of ANIM-5, just as ANIM-7 is, although ANIM-7 is
 generally considered to be superior. Compared to ANIM-5, both formats may
 achieve faster loading of animation files.


 [1mThe Animation Menu: Storyboard[0m

 In the Animation Storyboard, three dots under a reduced picture indicate
 frames having a palette differing from the current one. Double-clicking
 on a frame makes that frame (and its palette) the current one.


 [1m7.2.3      Edit Stencil[0m

 Multiple colors can be selected or deselected with a single mouse click
 by dragging the mouse (with the mouse button pressed) over the color
 boxes in the the Stencil requester (just as in the tool bar palette).
 This is especially useful with large palettes.


 [1m3.2        Moving Around[0m

 The image can be scrolled to the end of the page by holding down the
 <Alt> key while the cursor keys are used.


 [1m4.3        Print Image[0m

 In addition to the system printer and PostScript modes, Personal Paint
 supports direct printing through the Studio Print Server software. This
 allows users of the Studio and CanonStudio packages (version 2 and
 beyond) to print directly from Personal Paint.

 If the Mode cycle gadget is set to Studio, Personal Paint adds each print
 job to the Studio print spool, and does not need to wait for the printing
 process to complete. The image data is stored in a temporary file, from
 where it is printed by Studio. Personal Paint's temporary files are
 stored in the device having more free space, choosing from those
 specified in the Virtual Memory settings (section 8.<3.1).

 Personal Paint's server (message port) name is "PPaint_Studio". This name
 may be requested by the Studio software (e.g. to save a configuration).


 [1m4.10       Project Information[0m

 This requester provides information on the current image or animation,
 and allows the user to edit some annotations which can be saved together
 with the file.

 The contents of the Author, Copyright and Annotation fields is normally
 stored inside the file when using the IFF (ILBM, ANIM, etc.) or GIF
 format, and as an Amiga filenote (file comment) if other formats are
 used. If only the Annotation field is used, then it is always stored as
 an Amiga filenote. No additional file information is stored if all fields
 are empty. In this case, an existing Amiga filenote is cleared, and no
 extension chunks (IFF or GIF) are stored.

 The Annotation field may be useful to provide indications such as the
 author's address, trademark information related to the image, or
 particular techniques employed to create or process the image.


 [1m4.11       Memory Information[0m

 Memory occupied by each animation is included in the respective
 Environment field. In compressed mode, animations also require some RAM
 for screen buffers, which is accounted for in the Buffers field.

 Three gadgets can be used to flush or free RAM in memory-critical
 situations.

 When Flush is selected, Personal Paint moves as much RAM data as possible
 (Chip, Fast and virtual storage) to disk storage. This is useful to
 launch other software in an unexpected low-RAM condition.

 Flush All goes beyond this, and its use should be limited to more
 critical situations: it frees any remaining buffers (such as the one used
 to display the brush with an image, rather than with a thin border) and
 may attempt to close the Workbench.

 Free Undo frees all information stored in the Undo/Redo buffer. This is
 equivalent to pressing <Ctrl-u> in normal paint mode.


 [1m8.<3       Memory Management[0m

 If memory was unlimited, this requester would probably not need to exist.
 In practice, RAM is a precious resource, and deciding how to make best
 use of it is frequently a matter of compromise. This requester allows the
 user to adapt Personal Paint to different requirements and
 configurations.


 [1m8.<3.1     Virtual Memory[0m

 The Virtual Memory settings allow the user to switch RAM and/or disk
 based virtual memory on or off. It is also possible to change the minimum
 amount of memory which Personal Paint will always leave free on each
 device. The default settings need normally not be changed. It is always a
 good practice not to allow virtual memory to completely fill a storage
 device.

 Two storage locations can be used for virtual memory. One is intended to
 be in RAM, and one on a hard disk. RAM is usually faster, but more
 "precious", while hard disk space offers a good space/time compromise.
 Even using a floppy disk, there would still be a clear advantage: any
 operation which activates virtual memory would certainly fail if a
 feature like virtual memory didn't exist. From this point of view, it is
 always good to have virtual memory.

 Personal Paint tries to use RAM first. Although the RAM storage path (and
 device, e.g. "RAM", "RAD" or "VD0") can be selected by the user, the
 program assumes and may require that Fast RAM be available. The exact
 behavior depends on the RAM device being used: "RAM" requires Fast RAM,
 "RAD" does not (since, unlike others, its size is not dynamic). If the
 RAM location does not provide enough space, disk storage is used.

 Virtual memory only becomes active when there is a "memory problem".
 Whenever this happens, a special "clean up" process occurs, in order to
 have only the most recently used items in Chip RAM, and store the
 less-used items in the RAM device and on disk. When an object stored in
 virtual memory needs to be displayed or processed, it is moved back
 automatically.

 Personal Paint stores virtual memory items into separate files, which are
 deleted when they are not used any more, or when the program terminates.
 These files can be recognized by the ".vmem" file name suffix. If the
 program is still running when the computer is shut-down, any remaining
 virtual memory files are deleted when the program is run again. Virtual
 memory files can be very small, but are more likely to range in the
 dozens or even hundreds of Kbytes (otherwise, a system with a minimum of
 free RAM would probably not have required the use of virtual memory in
 the first place).

 When handling virtual memory allocations, Personal Paint assumes that RAM
 is faster than the disk, also considering that it would still be better
 not to use virtual memory for an object subject to reuse (or at least,
 keep it in RAM rather than on disk). The program therefore tries to
 optimize the combined use of all resources in order to provide faster
 access to the items which are used more frequently.

 Although virtual memory is most useful to free Chip RAM, it also handles
 objects normally stored in Fast RAM (like animation frames other than the
 current one). The Storyboard undo buffer is always placed in virtual
 memory. If the undo buffer cannot be created as required (e.g. if virtual
 memory is disabled, or if there is no space beyond a safe minimum) the
 Storyboard Cancel gadget is "ghosted".

 In general, hard disk space does not "breath" as dynamically as RAM.
 Unless the hard disk is always nearly full, and huge files still have to
 be written from time to time, it may even be wise to set a lower minimum
 for the hard disk than for the RAM. In a multitasking, RAM-dependent
 environment like the Amiga, leaving some free RAM may be more important
 than having free space on the hard disk.


 [1m8.<3.2     Undo History[0m

 The undo history buffer records all changes applied to the image and to
 the color palette. Even if Personal Paint is quite "intelligent" in
 deciding how to keep a record of different types of changes, this can
 consume a lot of memory. Also, there is normally no need to store actions
 which are very old.

 Two program parameters allow to set the maximum number of changes to be
 stored, and the maximum amount of memory which the undo history buffer
 may occupy. As the limits are exceeded, the oldest levels are freed.

 Regardless of these settings, Personal Paint will always try to store at
 least one level of undo/redo. If the limit is explicitly set to a maximum
 of only one level (use of similarly low values is is in general not
 recommended), then Undo and Redo become synonymous and, as in other
 packages, can be accessed with the same Undo command.


 [1m8.<3.3     Emergency Closing of Workbench Screen[0m

 In certain extreme conditions of RAM shortage, Personal Paint may attempt
 to close the Workbench screen to free some RAM (Chip or Fast, depending
 on the memory requirement and the system display type). While this is
 normally acceptable, Personal Paint can be programmed not to
 automatically close the Workbench screen.

 Once closed, the Workbench screen can be reopened manually at any time
 (section 8.16), and is reopened automatically when the program
 terminates.


 [1m8.8        File Requester[0m

 The File Requester menu allows the user to replace the standard Personal
 Paint file requester with an ASL (Amiga Standard Library) compatible file
 requester, such as the Magic File Requester. A second requester appears
 to select the image format when saving a picture, unless the file name
 suffix indicates a file format. Recognized suffixes include: ".c",
 ".gif", ".iff", ".ilbm", ".lbm" and ".pcx". For example: "Clown.gif"
 would automatically be saved in GIF format, but in the case of filenames
 such as "Flower.pic" or "Painting", a format selection requester would
 appear.


 [1m9.3        HP DeskJet Drivers[0m

 Several people have asked whether the enhanced HP DeskJet drivers
 supplied with Personal Paint support 600300 dpi graphics output. It
 appears that some owners of DeskJet 560C and DeskJet 520 were misled by
 incomplete information. The advertised "600300" printing capabilities of
 these models are mainly a result of RET (Resolution Enhancement
 Technology) applied to the 300300 dpi print data. The printers cannot
 produce 600300 dpi color graphics, and there is no documented command to
 send black & white graphics to the printer in 600300 dpi.


 [1mA.         Program Messages[0m

 [1mIncorrect version of Personal.font[0m

 This message usually appears only when a new version of Personal Paint is
 run for the first time. It indicates that the program, searching for its
 user interface font (named "Personal"), found an incorrect (probably
 older) version of the font. Normally, Personal Paint searches for the
 font inside the "PPaint:fonts" drawer (first choice) and in the system
 FONTS: directory (second choice). Any old "Personal.font" files stored in
 these directories are normally updated automatically by the installation
 procedure. The same should be done in case of manual installation. If
 different versions of Personal Paint or the Personal Fonts Maker need to
 be used on the same computer, and these programs require different
 versions of the Personal font, then the "Personal.font" file should be
 removed from the system FONTS: directory.

 This message may also be displayed if a correct version of
 "Personal.font" has been installed, but the old Personal font is still in
 use by the system or by an application. If this is the case, executing
 the "Avail FLUSH" command from a Shell window or rebooting the system
 should solve the problem.

 Section 9.5 has more on the Personal font.


 [1mStudio server cannot be activated[0m

 The Studio Print mode was selected for printing, but the Studio Server
 software could not be activated. Most likely, the Studio software was not
 installed properly, or it is an older version of the software. The Studio
 Print Server software is supported from version 2 of the Studio and
 CanonStudio packages. Previous releases of Studio printer drivers can be
 accessed by selecting Personal Paint's "PRT" (System printer) print mode.
 In this case, it may be preferrable to (also) activate Personal Paint's
 own 24-bit printing routines (section 4.3.2.4).


 [1mThe filter requires a brush[0m

 Some image processing filters use the current brush to apply certain
 transformations to the image. This message appears if no brush has been
 defined.


 [1mThe filter requires an additional brush[0m

 Image processing effects such as Alpha Channel require two consecutive
 brushes.


 [1mThe filter requires two environments[0m

 Stereograms and other effects require two environments (i.e. two images).
 The filters apply the changes to the current environment, using the other
 environment as a source.


 [1mUIGraphics.pic cannot be loaded[0m

 The file containing the images used in Personal Paint's user interface
 could not be loaded. Possible causes include: file not found,
 insufficient memory, file corrupt. When editing the image, it is
 important that the reference lines used to the delimit the areas in the
 picture be respected and not modified. Section 1.14.


 [1mB.         Command Shortcuts[0m

 In program requesters not containing any text gadgets, the <Return> and
 <Esc> keys can be used instead of the Proceed (or OK) and Cancel gadgets,
 in addition to other keyboard shortcuts which may appear underlined.

 [1mKey              Command                        Section[0m

 <u>              Undo (One Level)               3.1.10
 <U>              Redo (One Level)               3.1.10
 <Amiga-u>        Undo All                       3.1.10
 <Amiga-U>        Redo All                       3.1.10
 <Ctrl-u>         Free Undo/Redo Buffer          3.1.10
 <Alt-Cursor>     Scroll to End                  3.2
 <@>              Project Information            4.10


 [3mStoryboard Requester[0m
 <Shift-Cursor Up> = Jump to first frame
 <Shift-Cursor Down> = Jump to last frame


 [1mC.1        Program Settings[0m

 [1mFILTER[0m  (Image Processing Filters - Section 3.1.4)

 The second parameter (Filter Type) can be in the range 0-8 (6 =
 Environment Transparency, 7 = Brush Transparency, 8 = Stereogram).

 The following notes apply to the Stereogram Filter Type.

 A value of DivFac (Division Factor, range SHORTMIN .. SHORTMAX) greater
 than zero generates SIRDS (random dot) stereograms and indicates how many
 columns are to be created. This means that the pattern of random dots
 will be as wide as the image width divided by DivFac. Values of zero or
 less generate SIPS stereograms, which use the current brush as a
 pattern.

 Bias (range 1 .. 16) allows to make some changes which affect the
 perceived quality of the stereogram. Lower quality stereograms (low Bias
 values) allow for more levels of depth, but may generate defects in
 certain shapes (e.g. thick vertical bars may appear thin). Higher quality
 images are easier to recognize, but their "flatness" (which is relative,
 because the contrast is excellent) leaves less room for different levels
 of depth.

 BiasDx (range SHORTMIN .. SHORTMAX) is used as a Random Seed for SIRDS in
 general and for SIPS with Echo suppression. Negative values cause a
 different seed to be generated automatically each time the filter begins
 processing. Values >= 0 allow exact reproduction of SIRDS, as the patter
 remains constant for each single value.

 BiasDy controls different other options, which are associated to its
 individual bits. The range is 0 .. 3, and the values must be added: 1 =
 Help Symbols (on top of image), 2 = Echo Suppression.


 [1mDISPLAY[0m  (Amiga DisplayID - Section 4.5)

 A value of 0xFFFFFFFF indicates to use the same screen mode as the
 Workbench screen. This was designed with the program startup files in
 mind. By default, Personal Paint is launched with the same screen mode as
 the Workbench, which avoids monitor flickering in combination with
 graphics boards.


 [1mFILREQ[0m  (File Requester Flags - Section 8.8)

 The 6th bit in the FILREQ program setting is associated to the ASL
 (system) file requester option. The range for FILREQ is 0-63.


 [1mPATHSET[0m  (Settings Requester Default Path - Section 7.1)

 PATHSET = [3m"Path"[0m


 [1mUNDOLIM[0m  (Multi-level Undo - Sections 3.1.10 and 8.<3.2)

 UNDOLIM = [3mMaxLevels, MaxBuffer[0m

 MaxLevels range: 1 .. SHORTMAX (number of Undo/Redo levels).

 MaxBuffer range: 1 .. LONGMAX (in bytes: 1 Mbyte = 1 048 576 bytes).

 MaxBuffer indicates the maximum amount of memory (including virtual
 memory) which can be used to store the Undo levels (up to a maximum of
 MaxLevels Undo levels).

 Once the maximum is reached, the oldest levels are progressively freed to
 leave room for the most recent levels.

 Whatever the settings, one level of undo and redo is always guaranteed
 (even if it exceeds the memory limit set by the MaxBuffer setting).


 [1mWBCLOSE[0m  (Emergency Closing of Workbench Screen - Sections 1.3.5 and
 8.<3.3)

 WBCLOSE = [3mPermission Status[0m

 0 = Not allowed, 1 = Allowed.

 In case of RAM shortage, and if allowed to do so, Personal Paint may
 automatically try to close the Workbench screen to free some memory.




 [1mProduct Announcement: Cloanto Personal Suite[0m
 [3mQuality Amiga CD-ROM[0m

 This CD-ROM includes Personal Paint and Personal Write from Cloanto,
 Superbase Personal (from Oxxi), Personal Fonts Maker 1 & 2 (Cloanto), 27
 professional Kara fonts (Kara Computer Graphics), Cloanto's DirDiff (file
 synchronization and replication software) and PNG Toolkit, plus  Gbyte
 of pictures, animations, stereograms, stereogram animations, Amiga fonts,
 printer downloadable fonts and texts.

 This is one of the first different Amiga CD-ROMs. The Personal Suite
 CD-ROM contains no public domain or shareware software. Everything is
 high-quality. Our goal was not to fill a CD-ROM, but to find some of the
 best in different fields, with a preference for material not available on
 other Amiga CD-ROMs. The commercial titles are the latest versions
 available, with full AmigaGuide manuals (English and German, with some
 titles also in Italian and French).

 The capacity of the CD-ROM made it possible to include an enhanced
 version of Personal Paint. Also included, a compilation of animations by
 Eric Schwartz, for the first time in IFF ANIM format (with permission of
 the author). The German artist Karl Bihlmeier kindly prepared a selection
 of his Amiga art for this CD-ROM. Jim Sachs also worked with us. More
 people contributed to put together more quality material than could be
 named here.

 The Personal Suite CD-ROM is scheduled for shipping in summer 1995.



 Cloanto Personal Paint, Copyright  Cloanto Italia srl 1992-1995, All
 Rights Reserved. Parts are Copyright  Nomad Publishing Corporation,
 1993-1995. The HP DeskJet drivers included with Personal Paint are
 Copyright  Commodore-Amiga Inc. 1985-1993 and Cloanto Italia srl 1993.
 The Installer and Installer project icon are Copyright  Commodore-Amiga
 Inc. 1991-1993, reproduced and distributed under license. The JPEG
 DataType software is included with the kind permission of Steve Goddard.
 Executable file decompression modules by Peter Struijk and Albert J.
 Brouwer, used with permission. Lharc software by Paolo Zibetti, used with
 permission. Please refer to the original User Guide for further
 information.

 Cloanto and the Cloanto logo are registered trademarks of Cloanto Italia
 srl
 HTX, Personal Fonts Maker, PFM, Personal Paint, PPaint, Personal Suite,
 PSuite, Personal Write and PWrite are trademarks of Cloanto Italia srl
 Coca-Cola and Coke are registered trademarks of The Coca-Cola Company
 EGS 28/24 Spectrum is a trademark of Great Valley Products Inc.
 Fargo is a registered trademark of Fargo Electronics Inc.
 Picasso is a trademark of Village Tronic Marketing GmbH
 Piccolo and Rainbow are trademarks of Ingenieurbro Helfrich
 Primera is a trademark of Fargo Electronics Inc.
 Retina is a trademark of MS MacroSystem Computer GmbH
 Talon is a trademark of DKB



 [3mCloanto Italia srl                          Tel +39 432 545902
 PO Box 118                                  Fax +39 432 609051
 33100 Udine                                 Bbs +39 432 545905
 Italy                                   E-mail info@cloanto.it[0m


 Bruger og forhandler foresprgsler br ske ved henvendelse til de
 nationale distributrer.

 [3mGreat Britain:[0m
 Ramiga International Ltd.                   Tel +44 1690 770304
 Stablau 'Rin                                Fax +44 1690 770266
 GB - Pentrefoelas, Clwyd LL24 0HT           Bbs +44 1690 770696

 Meridian Software Distribution Ltd.         Tel +44 181 5433500
 East House                                  Fax +44 181 5432255
 East Road Industrial Estate
 GB - London SW19 1AH

 [3mNorth America:[0m
 DKB                                         Tel +1 810 348-3755 (tech.)
 29318 Lorie Lane                            Tel +1 810 348-3821 (sales)
 USA - Wixom, MI 48393                       Fax +1 810 348-3531

 
